import * as apiConfig from './apiconfig'
import { apiVerify } from './apiVerify'
import MFetch from "./MFetch"
import store from '@/store'
import { Toast } from 'vant'

let notifyErrMsg = msg => {
	Toast(msg)
}
let clearAccountInfo = () => {
	store.commit("clearAccountInfo")
	store.commit("clearSearchHistory")
	store.commit("clearRewardRule")
}

const mFetch = new MFetch(apiConfig, apiVerify, notifyErrMsg, clearAccountInfo)
export default mFetch